Bug 462250 - Review Request: python-pmw - python megawidgets
Review Request: python-pmw - python megawidgets
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks: PyMOL
  Show dependency treegraph
 
Reported: 2008-09-14 17:00 EDT by Tim Fenn
Modified: 2014-11-06 07:48 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-16 13:18:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Tim Fenn 2008-09-14 17:00:15 EDT
spec url: http://www.stanford.edu/~fenn/packs/pmw.spec
srpm url: http://www.stanford.edu/~fenn/packs/pmw-1.3.2-1.f8.src.rpm

Pmw is a toolkit for building high-level compound widgets in Python using the Tkinter module.

It consists of a set of base classes and a library of flexible and extensible megawidgets built on this foundation. These megawidgets include notebooks, comboboxes, selection widgets, paned widgets, scrolled widgets and dialog windows. 

Also see:
http://pmw.sourceforge.net/
Comment 1 Mamoru TASAKA 2008-09-26 03:01:01 EDT
Some notes.

* Build failure
  - Your srpm does not build:
    http://koji.fedoraproject.org/koji/taskinfo?taskID=843287
    * At least python is needed for BuildRequires
    * Also even after python is added to BuildRequires the build fails (on F-9+) like:
----------------------------------------------------------------
error: Installed (but unpackaged) file(s) found:
   /usr/lib/python2.5/site-packages/Pmw-1.3.2-py2.5.egg-info


RPM build errors:
    user fenn does not exist - using root
    Installed (but unpackaged) file(s) found:
   /usr/lib/python2.5/site-packages/Pmw-1.3.2-py2.5.egg-info
-----------------------------------------------------------------

* Redundant definition macro
  - %python_sitearch is used nowhere
  - Also it is not needed to define %version, %release macro explicitly.

* Source URL
  - %SOURCE must be written with full URL:
    https://fedoraproject.org/wiki/Packaging/SourceURL

* The line
-----------------------------------------------------------------
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
-----------------------------------------------------------------
  - is not needed. You define $RPM_BUILD_ROOT.
Comment 2 Mamoru TASAKA 2008-09-26 03:25:30 EDT
* Also I think this srpm should be named as "python-pmw":
  https://fedoraproject.org/wiki/Packaging/NamingGuidelines#Addon_Packages_.28python_modules.29
Comment 3 Tim Fenn 2008-10-01 19:32:53 EDT
Sorry for the late reply, I'm away from home and with a rather spotty connection.

(In reply to comment #1)
> Some notes.
> 
> * Build failure
>   - Your srpm does not build:
>     http://koji.fedoraproject.org/koji/taskinfo?taskID=843287
>     * At least python is needed for BuildRequires
>     * Also even after python is added to BuildRequires the build fails (on
> F-9+) like:
> ----------------------------------------------------------------
> error: Installed (but unpackaged) file(s) found:
>    /usr/lib/python2.5/site-packages/Pmw-1.3.2-py2.5.egg-info
> 

Fixed.

> 
> * Redundant definition macro
>   - %python_sitearch is used nowhere
>   - Also it is not needed to define %version, %release macro explicitly.
> 
> * Source URL
>   - %SOURCE must be written with full URL:
>     https://fedoraproject.org/wiki/Packaging/SourceURL
> 

Fixed.

> * The line
> -----------------------------------------------------------------
> [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
> -----------------------------------------------------------------
>   - is not needed. You define $RPM_BUILD_ROOT.

Fixed.

> * Also I think this srpm should be named as "python-pmw":

Done.

spec url: http://www.stanford.edu/~fenn/packs/python-pmw.spec
srpm url: http://www.stanford.edu/~fenn/packs/python-pmw-1.3.2-2.f8.src.rpm
Comment 4 Mamoru TASAKA 2008-10-02 12:16:33 EDT
For 1.3.2-2:

* URL
  - I think http://pmw.sourceforge.net/ is better for URL

* SourceURL
  - For tarball on sourceforge.net please refer to
    https://fedoraproject.org/wiki/Packaging/SourceURL#Sourceforge.net

* %prep
---------------------------------------------------
%setup -q -n Pmw.1.3.2/src
---------------------------------------------------
  - After rebuilding the directory Pmw.1.3.2/src under %_builddir
    But it leaved Pmw.1.3.2 directory undeleted, which is not
    right.
    %setup directory (relative to %_builddir) must not contain
    any slash. 

%build

%install
rm -rf 

* License
  --- Some files under src/Pmw/Pmw_1_3/contrib/ are under GPLv2+
  --- Others are under MIT (from src/Pmw/Pmw_1_3/doc/copyright.html)
  - So the license tag should be "MIT and GPLv2+".

* %clean, %install
  - %clean section is empty
     See https://fedoraproject.org/wiki/Packaging/ReviewGuidelines :
     "MUST: Each package must have a %clean section, ...."
  - Also %install does not contain any "cleaning" line.
    https://fedoraproject.org/wiki/Packaging/Guidelines#PreppingBuildRootForInstall

* Directory ownership issue
  - The directory %{python_sitelib}/ itself is owned by python and
    should not be owned by this rpm.

* Documents
  - As license information is in src/Pmw/Pmw_1_3/doc/copyright.html
    at least this file should be included in %doc.
    I guess
-------------------------------------------------
%doc src/Pmw/Pmw_1_3/doc/
-------------------------------------------------
    is better.
Comment 5 Tim Fenn 2008-10-03 23:23:31 EDT
(In reply to comment #4)
> For 1.3.2-2:
> 
> * URL
>   - I think http://pmw.sourceforge.net/ is better for URL
> 
> * SourceURL
>   - For tarball on sourceforge.net please refer to
>     https://fedoraproject.org/wiki/Packaging/SourceURL#Sourceforge.net
> 

done.

> * %prep
> ---------------------------------------------------
> %setup -q -n Pmw.1.3.2/src
> ---------------------------------------------------
>   - After rebuilding the directory Pmw.1.3.2/src under %_builddir
>     But it leaved Pmw.1.3.2 directory undeleted, which is not
>     right.
>     %setup directory (relative to %_builddir) must not contain
>     any slash. 
> 

fixed.

> 
> * License
>   --- Some files under src/Pmw/Pmw_1_3/contrib/ are under GPLv2+
>   --- Others are under MIT (from src/Pmw/Pmw_1_3/doc/copyright.html)
>   - So the license tag should be "MIT and GPLv2+".
> 

fixed.

> * %clean, %install
>   - %clean section is empty
>      See https://fedoraproject.org/wiki/Packaging/ReviewGuidelines :
>      "MUST: Each package must have a %clean section, ...."
>   - Also %install does not contain any "cleaning" line.
>

fixed.
    
> 
> * Directory ownership issue
>   - The directory %{python_sitelib}/ itself is owned by python and
>     should not be owned by this rpm.
> 

fixed.

> * Documents
>   - As license information is in src/Pmw/Pmw_1_3/doc/copyright.html
>     at least this file should be included in %doc.
>     I guess
> -------------------------------------------------
> %doc src/Pmw/Pmw_1_3/doc/
> -------------------------------------------------
>     is better.

done.

I also fixed the egg-info packaging according to https://fedoraproject.org/wiki/Packaging/Python/Eggs.

spec url: http://www.stanford.edu/~fenn/packs/python-pmw.spec
srpm url: http://www.stanford.edu/~fenn/packs/python-pmw-1.3.2-3.f8.src.rpm
Comment 6 Mamoru TASAKA 2008-10-04 14:12:45 EDT
For -3:

* %version macro
  - Please consider to use %{version} macro (also see:
    https://fedoraproject.org/wiki/Packaging/SourceURL#Using_.25.7Bversion.7D

* CFLAGS in noarch rpm
  - The part CFLAGS="$RPM_OPT_FLAGS" is not needed because
    this is noarch.

* Macros in %changelog or comments
  - In %changelog or comments, use %% instead of % (e.g.
    "add doc to %%files, add ..") so that macros won't be
    expanded.

Now I am trying to see pymol, however it may take a bit long..
Comment 7 Tim Fenn 2008-10-06 14:53:41 EDT
(In reply to comment #6)
> For -3:
> 
> * %version macro
>   - Please consider to use %{version} macro (also see:
>     https://fedoraproject.org/wiki/Packaging/SourceURL#Using_.25.7Bversion.7D
> 

I wasn't sure how best to apply this here, can you provide some more detail as to what you mean?

> * CFLAGS in noarch rpm
>   - The part CFLAGS="$RPM_OPT_FLAGS" is not needed because
>     this is noarch.
> 

Oops - fixed.

> * Macros in %changelog or comments
>   - In %changelog or comments, use %% instead of % (e.g.
>     "add doc to %%files, add ..") so that macros won't be
>     expanded.
> 

Done.

spec url: http://www.stanford.edu/~fenn/packs/python-pmw.spec
srpm url: http://www.stanford.edu/~fenn/packs/python-pmw-1.3.2-4.f8.src.rpm
Comment 8 Mamoru TASAKA 2008-10-08 11:28:44 EDT
Okay.

One minor issue
- tkinter has "Requires: python" so "Requires: python" can be removed from this package
  (Requires: tkinter is still needed)

Now:
* This package itself is good
* You have another review request (bug 462251), which I think is almost good
------------------------------------------------------------
    This package (python-pmw) is APPROVED by mtasaka
------------------------------------------------------------

Please follow the procedure written on:
http://fedoraproject.org/wiki/PackageMaintainers/Join
from "Install the Client Tools (Koji) ".
I am already sponsoring you.

If you want to import this package into Fedora 8/9, you also have
to look at
http://fedoraproject.org/wiki/Infrastructure/UpdatesSystem/Bodhi-info-DRAFT
(after once you rebuilt this package on koji Fedora rebuilding system).

If you have questions, please ask me.

Removing NEEDSPONSOR.
Comment 9 Tim Fenn 2008-10-08 18:58:47 EDT
(In reply to comment #8)
> Okay.
> 
> One minor issue
> - tkinter has "Requires: python" so "Requires: python" can be removed from this
> package
>   (Requires: tkinter is still needed)
> 

Fixed.

spec url: http://www.stanford.edu/~fenn/packs/python-pmw.spec
srpm url: http://www.stanford.edu/~fenn/packs/python-pmw-1.3.2-5.f8.src.rpm
Comment 10 Tim Fenn 2008-10-08 19:01:53 EDT
New Package CVS Request
=======================
Package Name: python-pmw
Short Description: python megawidgets
Owners: timfenn
Branches: F-10 EL-5
InitialCC: timfenn
Comment 11 Huzaifa S. Sidhpurwala 2008-10-08 22:37:29 EDT
cvs done
Comment 12 Mamoru TASAKA 2008-10-16 11:16:28 EDT
ping?
Comment 13 Tim Fenn 2008-10-16 13:10:57 EDT
package has been added to CVS (devel and F-10) according to http://fedoraproject.org/wiki/PackageMaintainers/Join#Add_Package_to_CVS_and_Set_Owner , imported and builds requested, all OK.  What else needs to be done?
Comment 14 Mamoru TASAKA 2008-10-16 13:18:19 EDT
Then you can close this bug :)
Comment 15 Tim Fenn 2008-10-20 16:17:48 EDT
please also add F-9 branch (as a requirement to https://bugzilla.redhat.com/show_bug.cgi?id=462251)
Comment 16 Tim Fenn 2008-10-21 14:00:24 EDT
Package Change Request
======================
Package Name: python-pmw
New Branches: F-9
Owners: timfenn

adding python-pmw to allow for F-9 builds of pymol
Comment 17 Kevin Fenzi 2008-10-23 16:36:39 EDT
cvs done.
Comment 18 Tim Fenn 2014-11-05 22:29:05 EST
Package Change Request
======================
Package Name: python-pmw
New Branches: epel7
Owners: timfenn
InitialCC: timfenn
Comment 19 Gwyn Ciesla 2014-11-06 07:48:19 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.